//Peter Greczner, Data RAM

module DataRam(clock, reset, address, isStore, data_out, data_in);

input wire isStore;
input wire [31:0] data_in;
input wire clock, reset;
input wire [7:0] address;

reg [31:0] local_memory [0:255];

output reg [31:0] data_out;

always @(address)
begin
	data_out <= local_memory[address];
end


always @(posedge clock)
begin
	if(reset) begin
		
	end
	else begin
		if(isStore) begin
			local_memory[address] <= data_in;
		end
	end
end

endmodule

