//Peter Greczner, PC Updater

module PCUpdater(ctrl_BS, takeBranch, alu_res, PC_now, PC_next);

input wire [3:0] ctrl_BS;
input wire takeBranch;
input wire [31:0] alu_res;
input wire [11:0] PC_now;

output reg [11:0] PC_next;


always @(ctrl_BS, alu_res, PC_now, takeBranch)
begin
    if(~takeBranch)
    begin
        PC_next = PC_now + 1;
    end
    else begin
        PC_next = alu_res;
    end
end


endmodule

