//Peter Greczner, Register File

module RegisterFile(A_addr, B_addr, D_addr, w_en, A_data, B_data, D_data, clk);

input wire [4:0] A_addr, B_addr, D_addr;
input wire w_en, clk;

output wire [31:0] A_data, B_data;
input wire [31:0] D_data;

assign A_data = registers[A_addr];
assign B_data = registers[B_addr];

reg [31:0] registers [0:31];

always @(posedge clk)
begin
    if(w_en)
    begin
        registers[D_addr] <= D_data;
    end
end






endmodule


